org.apache.hadoop.mapreduce.v2.api.records.impl.pb

## Class TaskAttemptIdPBImpl

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId
  - - org.apache.hadoop.mapreduce.v2.api.records.impl.pb.TaskAttemptIdPBImpl

- All Implemented Interfaces:
    Comparable<TaskAttemptId>

      public class TaskAttemptIdPBImpl
      extends TaskAttemptId

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId

      `TASKATTEMPT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskAttemptIdPBImpl()`
    `TaskAttemptIdPBImpl(MRProtos.TaskAttemptIdProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `MRProtos.TaskAttemptIdProto` | `getProto()`
    `TaskId` | `getTaskId()`
    `void` | `setId(int id)`
    `void` | `setTaskId(TaskId taskId)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId

      `compareTo, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskAttemptIdPBImpl

          public TaskAttemptIdPBImpl()

    - #### TaskAttemptIdPBImpl

          public TaskAttemptIdPBImpl(MRProtos.TaskAttemptIdProto proto)

  - ### Method Detail

    - #### getProto

          public MRProtos.TaskAttemptIdProto getProto()

    - #### getId

          public int getId()

      Specified by:
        `getId` in class `TaskAttemptId`
      Returns:
        the attempt id.

    - #### setId

          public void setId(int id)

      Specified by:
        `setId` in class `TaskAttemptId`

    - #### getTaskId

          public TaskId getTaskId()

      Specified by:
        `getTaskId` in class `TaskAttemptId`
      Returns:
        the associated TaskId.

    - #### setTaskId

          public void setTaskId(TaskId taskId)

      Specified by:
        `setTaskId` in class `TaskAttemptId`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.